import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateBackupInput } from "../types/CreateBackupInput";
import { CreateBackupOutput } from "../types/CreateBackupOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/CreateBackupInput";
export * from "../types/CreateBackupOutput";
export * from "../types/CreateBackupExceptionsUnion";
export declare class CreateBackupCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateBackupInput, OutputTypesUnion, CreateBackupOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: CreateBackupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateBackupInput, CreateBackupOutput, Blob>;
    constructor(input: CreateBackupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<CreateBackupInput, CreateBackupOutput>;
}
