import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteItemInput } from "../types/DeleteItemInput";
import { DeleteItemOutput } from "../types/DeleteItemOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/DeleteItemInput";
export * from "../types/DeleteItemOutput";
export * from "../types/DeleteItemExceptionsUnion";
export declare class DeleteItemCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteItemInput, OutputTypesUnion, DeleteItemOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: DeleteItemInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteItemInput, DeleteItemOutput, Blob>;
    constructor(input: DeleteItemInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DeleteItemInput, DeleteItemOutput>;
}
