import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeBackupInput } from "../types/DescribeBackupInput";
import { DescribeBackupOutput } from "../types/DescribeBackupOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/DescribeBackupInput";
export * from "../types/DescribeBackupOutput";
export * from "../types/DescribeBackupExceptionsUnion";
export declare class DescribeBackupCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeBackupInput, OutputTypesUnion, DescribeBackupOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: DescribeBackupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeBackupInput, DescribeBackupOutput, Blob>;
    constructor(input: DescribeBackupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DescribeBackupInput, DescribeBackupOutput>;
}
