import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeContinuousBackupsInput } from "../types/DescribeContinuousBackupsInput";
import { DescribeContinuousBackupsOutput } from "../types/DescribeContinuousBackupsOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/DescribeContinuousBackupsInput";
export * from "../types/DescribeContinuousBackupsOutput";
export * from "../types/DescribeContinuousBackupsExceptionsUnion";
export declare class DescribeContinuousBackupsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeContinuousBackupsInput, OutputTypesUnion, DescribeContinuousBackupsOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: DescribeContinuousBackupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeContinuousBackupsInput, DescribeContinuousBackupsOutput, Blob>;
    constructor(input: DescribeContinuousBackupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DescribeContinuousBackupsInput, DescribeContinuousBackupsOutput>;
}
