"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeContinuousBackups_1 = require("../model/DescribeContinuousBackups");
var DescribeContinuousBackupsCommand = /** @class */ (function () {
    function DescribeContinuousBackupsCommand(input) {
        this.input = input;
        this.model = DescribeContinuousBackups_1.DescribeContinuousBackups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeContinuousBackupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeContinuousBackupsCommand;
}());
exports.DescribeContinuousBackupsCommand = DescribeContinuousBackupsCommand;
//# sourceMappingURL=DescribeContinuousBackupsCommand.js.map