"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeLimits_1 = require("../model/DescribeLimits");
var DescribeLimitsCommand = /** @class */ (function () {
    function DescribeLimitsCommand(input) {
        this.input = input;
        this.model = DescribeLimits_1.DescribeLimits;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeLimitsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeLimitsCommand;
}());
exports.DescribeLimitsCommand = DescribeLimitsCommand;
//# sourceMappingURL=DescribeLimitsCommand.js.map