"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeTimeToLive_1 = require("../model/DescribeTimeToLive");
var DescribeTimeToLiveCommand = /** @class */ (function () {
    function DescribeTimeToLiveCommand(input) {
        this.input = input;
        this.model = DescribeTimeToLive_1.DescribeTimeToLive;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeTimeToLiveCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeTimeToLiveCommand;
}());
exports.DescribeTimeToLiveCommand = DescribeTimeToLiveCommand;
//# sourceMappingURL=DescribeTimeToLiveCommand.js.map