"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _BatchWriteItemRequestMap_1 = require("./_BatchWriteItemRequestMap");
var _ItemCollectionMetricsPerTable_1 = require("./_ItemCollectionMetricsPerTable");
var _ConsumedCapacityMultiple_1 = require("./_ConsumedCapacityMultiple");
exports.BatchWriteItemOutput = {
    type: "structure",
    required: [],
    members: {
        UnprocessedItems: {
            shape: _BatchWriteItemRequestMap_1._BatchWriteItemRequestMap
        },
        ItemCollectionMetrics: {
            shape: _ItemCollectionMetricsPerTable_1._ItemCollectionMetricsPerTable
        },
        ConsumedCapacity: {
            shape: _ConsumedCapacityMultiple_1._ConsumedCapacityMultiple
        }
    }
};
//# sourceMappingURL=BatchWriteItemOutput.js.map