"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeGlobalTableInput_1 = require("./DescribeGlobalTableInput");
var DescribeGlobalTableOutput_1 = require("./DescribeGlobalTableOutput");
var InternalServerError_1 = require("./InternalServerError");
var GlobalTableNotFoundException_1 = require("./GlobalTableNotFoundException");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.DescribeGlobalTable = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeGlobalTable",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeGlobalTableInput_1.DescribeGlobalTableInput
    },
    output: {
        shape: DescribeGlobalTableOutput_1.DescribeGlobalTableOutput
    },
    errors: [
        {
            shape: InternalServerError_1.InternalServerError
        },
        {
            shape: GlobalTableNotFoundException_1.GlobalTableNotFoundException
        }
    ]
};
//# sourceMappingURL=DescribeGlobalTable.js.map