"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeTimeToLiveInput_1 = require("./DescribeTimeToLiveInput");
var DescribeTimeToLiveOutput_1 = require("./DescribeTimeToLiveOutput");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.DescribeTimeToLive = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeTimeToLive",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeTimeToLiveInput_1.DescribeTimeToLiveInput
    },
    output: {
        shape: DescribeTimeToLiveOutput_1.DescribeTimeToLiveOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=DescribeTimeToLive.js.map