"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListBackupsInput_1 = require("./ListBackupsInput");
var ListBackupsOutput_1 = require("./ListBackupsOutput");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.ListBackups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListBackups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListBackupsInput_1.ListBackupsInput
    },
    output: {
        shape: ListBackupsOutput_1.ListBackupsOutput
    },
    errors: [
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=ListBackups.js.map