"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListBackupsInput = {
    type: "structure",
    required: [],
    members: {
        TableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        Limit: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        TimeRangeLowerBound: {
            shape: {
                type: "timestamp"
            }
        },
        TimeRangeUpperBound: {
            shape: {
                type: "timestamp"
            }
        },
        ExclusiveStartBackupArn: {
            shape: {
                type: "string",
                min: 37
            }
        },
        BackupType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ListBackupsInput.js.map