"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AutoScalingPolicyDescriptionList_1 = require("./_AutoScalingPolicyDescriptionList");
exports._AutoScalingSettingsDescription = {
    type: "structure",
    required: [],
    members: {
        MinimumUnits: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        MaximumUnits: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        AutoScalingDisabled: {
            shape: {
                type: "boolean"
            }
        },
        AutoScalingRoleArn: {
            shape: {
                type: "string"
            }
        },
        ScalingPolicies: {
            shape: _AutoScalingPolicyDescriptionList_1._AutoScalingPolicyDescriptionList
        }
    }
};
//# sourceMappingURL=_AutoScalingSettingsDescription.js.map