"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AutoScalingPolicyUpdate_1 = require("./_AutoScalingPolicyUpdate");
exports._AutoScalingSettingsUpdate = {
    type: "structure",
    required: [],
    members: {
        MinimumUnits: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        MaximumUnits: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        AutoScalingDisabled: {
            shape: {
                type: "boolean"
            }
        },
        AutoScalingRoleArn: {
            shape: {
                type: "string",
                min: 1
            }
        },
        ScalingPolicyUpdate: {
            shape: _AutoScalingPolicyUpdate_1._AutoScalingPolicyUpdate
        }
    }
};
//# sourceMappingURL=_AutoScalingSettingsUpdate.js.map