import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { BatchGetItemInput } from "../types/BatchGetItemInput";
import { BatchGetItemOutput } from "../types/BatchGetItemOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/BatchGetItemInput";
export * from "../types/BatchGetItemOutput";
export * from "../types/BatchGetItemExceptionsUnion";
export declare class BatchGetItemCommand implements __aws_sdk_types.Command<InputTypesUnion, BatchGetItemInput, OutputTypesUnion, BatchGetItemOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: BatchGetItemInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<BatchGetItemInput, BatchGetItemOutput, Blob>;
    constructor(input: BatchGetItemInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<BatchGetItemInput, BatchGetItemOutput>;
}
