import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateGlobalTableInput } from "../types/CreateGlobalTableInput";
import { CreateGlobalTableOutput } from "../types/CreateGlobalTableOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/CreateGlobalTableInput";
export * from "../types/CreateGlobalTableOutput";
export * from "../types/CreateGlobalTableExceptionsUnion";
export declare class CreateGlobalTableCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateGlobalTableInput, OutputTypesUnion, CreateGlobalTableOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: CreateGlobalTableInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateGlobalTableInput, CreateGlobalTableOutput, Blob>;
    constructor(input: CreateGlobalTableInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<CreateGlobalTableInput, CreateGlobalTableOutput>;
}
