import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateTableInput } from "../types/CreateTableInput";
import { CreateTableOutput } from "../types/CreateTableOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/CreateTableInput";
export * from "../types/CreateTableOutput";
export * from "../types/CreateTableExceptionsUnion";
export declare class CreateTableCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateTableInput, OutputTypesUnion, CreateTableOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: CreateTableInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateTableInput, CreateTableOutput, Blob>;
    constructor(input: CreateTableInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<CreateTableInput, CreateTableOutput>;
}
