import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteTableInput } from "../types/DeleteTableInput";
import { DeleteTableOutput } from "../types/DeleteTableOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/DeleteTableInput";
export * from "../types/DeleteTableOutput";
export * from "../types/DeleteTableExceptionsUnion";
export declare class DeleteTableCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteTableInput, OutputTypesUnion, DeleteTableOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: DeleteTableInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteTableInput, DeleteTableOutput, Blob>;
    constructor(input: DeleteTableInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DeleteTableInput, DeleteTableOutput>;
}
