import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeLimitsInput } from "../types/DescribeLimitsInput";
import { DescribeLimitsOutput } from "../types/DescribeLimitsOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/DescribeLimitsInput";
export * from "../types/DescribeLimitsOutput";
export * from "../types/DescribeLimitsExceptionsUnion";
export declare class DescribeLimitsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeLimitsInput, OutputTypesUnion, DescribeLimitsOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: DescribeLimitsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeLimitsInput, DescribeLimitsOutput, Blob>;
    constructor(input: DescribeLimitsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<DescribeLimitsInput, DescribeLimitsOutput>;
}
