import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTablesInput } from "../types/ListTablesInput";
import { ListTablesOutput } from "../types/ListTablesOutput";
import { DynamoDBResolvedConfiguration } from "../DynamoDBConfiguration";
export * from "../types/ListTablesInput";
export * from "../types/ListTablesOutput";
export * from "../types/ListTablesExceptionsUnion";
export declare class ListTablesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTablesInput, OutputTypesUnion, ListTablesOutput, DynamoDBResolvedConfiguration, Blob> {
    readonly input: ListTablesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTablesInput, ListTablesOutput, Blob>;
    constructor(input: ListTablesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: DynamoDBResolvedConfiguration): __aws_sdk_types.Handler<ListTablesInput, ListTablesOutput>;
}
