"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateGlobalTableSettings_1 = require("../model/UpdateGlobalTableSettings");
var UpdateGlobalTableSettingsCommand = /** @class */ (function () {
    function UpdateGlobalTableSettingsCommand(input) {
        this.input = input;
        this.model = UpdateGlobalTableSettings_1.UpdateGlobalTableSettings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateGlobalTableSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateGlobalTableSettingsCommand;
}());
exports.UpdateGlobalTableSettingsCommand = UpdateGlobalTableSettingsCommand;
//# sourceMappingURL=UpdateGlobalTableSettingsCommand.js.map