"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetItemInput_1 = require("./BatchGetItemInput");
var BatchGetItemOutput_1 = require("./BatchGetItemOutput");
var ProvisionedThroughputExceededException_1 = require("./ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("./ResourceNotFoundException");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.BatchGetItem = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetItem",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetItemInput_1.BatchGetItemInput
    },
    output: {
        shape: BatchGetItemOutput_1.BatchGetItemOutput
    },
    errors: [
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=BatchGetItem.js.map