"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeContinuousBackupsInput_1 = require("./DescribeContinuousBackupsInput");
var DescribeContinuousBackupsOutput_1 = require("./DescribeContinuousBackupsOutput");
var TableNotFoundException_1 = require("./TableNotFoundException");
var InternalServerError_1 = require("./InternalServerError");
var ServiceMetadata_1 = require("./ServiceMetadata");
exports.DescribeContinuousBackups = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeContinuousBackups",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeContinuousBackupsInput_1.DescribeContinuousBackupsInput
    },
    output: {
        shape: DescribeContinuousBackupsOutput_1.DescribeContinuousBackupsOutput
    },
    errors: [
        {
            shape: TableNotFoundException_1.TableNotFoundException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=DescribeContinuousBackups.js.map