"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Key_1 = require("./_Key");
var _AttributeNameList_1 = require("./_AttributeNameList");
var _ExpressionAttributeNameMap_1 = require("./_ExpressionAttributeNameMap");
exports.GetItemInput = {
    type: "structure",
    required: ["TableName", "Key"],
    members: {
        TableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        Key: {
            shape: _Key_1._Key
        },
        AttributesToGet: {
            shape: _AttributeNameList_1._AttributeNameList
        },
        ConsistentRead: {
            shape: {
                type: "boolean"
            }
        },
        ReturnConsumedCapacity: {
            shape: {
                type: "string"
            }
        },
        ProjectionExpression: {
            shape: {
                type: "string"
            }
        },
        ExpressionAttributeNames: {
            shape: _ExpressionAttributeNameMap_1._ExpressionAttributeNameMap
        }
    }
};
//# sourceMappingURL=GetItemInput.js.map