"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Capacity_1 = require("./_Capacity");
var _SecondaryIndexesCapacityMap_1 = require("./_SecondaryIndexesCapacityMap");
exports._ConsumedCapacity = {
    type: "structure",
    required: [],
    members: {
        TableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        CapacityUnits: {
            shape: {
                type: "float"
            }
        },
        Table: {
            shape: _Capacity_1._Capacity
        },
        LocalSecondaryIndexes: {
            shape: _SecondaryIndexesCapacityMap_1._SecondaryIndexesCapacityMap
        },
        GlobalSecondaryIndexes: {
            shape: _SecondaryIndexesCapacityMap_1._SecondaryIndexesCapacityMap
        }
    }
};
//# sourceMappingURL=_ConsumedCapacity.js.map