"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _KeySchema_1 = require("./_KeySchema");
var _Projection_1 = require("./_Projection");
var _ProvisionedThroughput_1 = require("./_ProvisionedThroughput");
exports._GlobalSecondaryIndexInfo = {
    type: "structure",
    required: [],
    members: {
        IndexName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        KeySchema: {
            shape: _KeySchema_1._KeySchema
        },
        Projection: {
            shape: _Projection_1._Projection
        },
        ProvisionedThroughput: {
            shape: _ProvisionedThroughput_1._ProvisionedThroughput
        }
    }
};
//# sourceMappingURL=_GlobalSecondaryIndexInfo.js.map