"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._ProvisionedThroughputDescription = {
    type: "structure",
    required: [],
    members: {
        LastIncreaseDateTime: {
            shape: {
                type: "timestamp"
            }
        },
        LastDecreaseDateTime: {
            shape: {
                type: "timestamp"
            }
        },
        NumberOfDecreasesToday: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        ReadCapacityUnits: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        WriteCapacityUnits: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_ProvisionedThroughputDescription.js.map